Bug 453038 - Move One Screen to the (Right / Left / Up / Down)
Summary: Move One Screen to the (Right / Left / Up / Down)
Status: RESOLVED FIXED
Alias: None
Product: kwin
Classification: Plasma
Component: multi-screen (show other bugs)
Version: unspecified
Platform: Kubuntu Linux
: NOR wishlist (vote)
Target Milestone: ---
Assignee: Natalie Clarius
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2022-04-26 06:42 UTC by Amir
Modified: 2022-12-08 20:09 UTC (History)
3 users (show)

See Also:
Latest Commit:
Version Fixed In: 5.27


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Amir 2022-04-26 06:42:32 UTC
Currently, we can only move windows to the next and previous screens. It would be nice if we could move windows based on screen positions.
Comment 1 Nate Graham 2022-04-26 16:24:30 UTC
You can pretty much do this with window tiling shortcuts. For example hit Meta+Left Arrow 2 or 3 times and the window will be tiled to the screen to the left of the current one. Is that good enough for your use cases?
Comment 2 Amir 2022-04-27 05:52:35 UTC
Meta with one of the arrow keys is "Quick Tile Window" for me. I think I found a more important bug here. I have 2 screens and when I put them next to each other (one on the left and one on the right), the "Quick Tile Window" works fine and moves the window to the next screen If I hit it more than 1 time. But when I put the screens below each other, this tiling doesn't work anymore, the window is a tiling only on the current screen and it won't move to the next one.

Apart from this, It would be nice to have the functionality of moving the window to other screens based on their positions, I don't use tiling at all and I'm using these shortcuts for something else normally. There are similar features in other window managers, and I was kinda surprised when I couldn't find this in KDE.

Maybe if there is a fix for the bug that I mentioned above, I can write a script to do what I want for now. Should I fill in another bug report for this tiling bug?

(In reply to Nate Graham from comment #1)
> You can pretty much do this with window tiling shortcuts. For example hit
> Meta+Left Arrow 2 or 3 times and the window will be tiled to the screen to
> the left of the current one. Is that good enough for your use cases?
Comment 3 Nate Graham 2022-04-27 16:43:57 UTC
OK, thanks.

Make sure to file a new bug report if you find a new/different issue. :)
Comment 4 Bug Janitor Service 2022-11-30 14:33:38 UTC
A possibly relevant merge request was started @ https://invent.kde.org/plasma/kwin/-/merge_requests/3255
Comment 5 Bug Janitor Service 2022-11-30 14:33:40 UTC
A possibly relevant merge request was started @ https://invent.kde.org/plasma/kwin/-/merge_requests/3255
Comment 6 Vlad Zahorodnii 2022-12-08 19:22:08 UTC
Git commit 084b88522c7ce751a07472c5f72217b23c02a056 by Vlad Zahorodnii, on behalf of Natalie Clarius.
Committed on 08/12/2022 at 18:59.
Pushed by vladz into branch 'master'.

workspace: get output in direction relative from reference
Related: bug 451286

M  +0    -14   src/useractions.cpp
M  +54   -0    src/workspace.cpp
M  +10   -2    src/workspace.h

https://invent.kde.org/plasma/kwin/commit/084b88522c7ce751a07472c5f72217b23c02a056
Comment 7 Vlad Zahorodnii 2022-12-08 19:22:25 UTC
Git commit 67c558286f18ee639893eee82c27b98fae5797d9 by Vlad Zahorodnii, on behalf of Natalie Clarius.
Committed on 08/12/2022 at 18:59.
Pushed by vladz into branch 'master'.

useractions: add shortcuts for {switch to/window to} screen {direction}

M  +14   -2    src/scripting/workspace_wrapper.cpp
M  +11   -0    src/scripting/workspace_wrapper.h
M  +85   -13   src/useractions.cpp
M  +10   -8    src/workspace.h

https://invent.kde.org/plasma/kwin/commit/67c558286f18ee639893eee82c27b98fae5797d9